a{
	color: #afa;
}
a:hover, #user_list table table:hover a{
	color: white;
}
#blue_cheese_flash{
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0px;
	left: 0px;
	animation-name: blue_cheese;
	animation-duration: 0.78s;
	animation-iteration-count: infinite;
	z-index: -1;
	opacity: 0.5;
	visibility: hidden;
}
@keyframes blue_cheese{
	0%{
		background-color: green;
	}
	30%{
		background-color: green;
	}
	50%{
		background-color: red;
	}
	80%{
		background-color: red;
	}
	100%{
		background-color: green;
	}
}
body{
	text-align: center;
	background: linear-gradient(0deg, #006, #000);
	background-attachment: fixed;
	color: white;
    font-family: Arial;
	margin: 0px;
}
form.login{
	width: 450px;
	margin: auto;
	margin-bottom: 8px;
	background: rgba(255,255,255,0.2);
	padding: 14px;
	border-radius: 16px;
}
form.login label{
	display: inline-block;
	width: 25%;
}
form.login input{
	width: 70%;
}
form.login div{
	margin-bottom: 8px;
	margin-top: 8px;
}
#page_numbers button.submit{
	width: 32px;
}
.submit,input[type=submit],select.submit{
    font-family: Arial;
	padding: 5px;
	border: 2px white groove;
	border-radius: 4px;
	background: linear-gradient(0deg, #00a, #006);
	color: white;
	margin-top: 8px;
	margin-bottom: 8px;
	cursor: pointer;
	font-size: 16px;
}
button.submit,input[type=submit]{
	width: 80px;
}
.submit:hover,input[type=submit]:hover,select.submit:hover,.submit.hilite{
	background: linear-gradient(0deg, #aaf, #33f);
}
.submit:active,input[type=submit]:active{
	border-style: inset;
}
form.login input[type="submit"]{
	width: 80px;
}
div.centered{
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translateX(-50%) translateY(-50%);
}
div.user_info_container h2, div.user_info_container h3{
	margin-top: 8px;
	margin-bottom: 8px;
}
div.user_info_container{
	width: 600px;
	text-align: center;
	margin: auto;
	position: relative;
}
div.user_info_container table{
	width: 100%
}
div.user_info_container span{
	display: inline-block;
	width: 600px;
	height: 200px;
	text-align: left;
}
#chozzen_image_name{
	padding: 0px;
	margin: 0px;
}
#user_info_pic{
	width: 180px;
	text-align: center;
	padding-right: 24px;
}
#edit_user_info{
	display: none;
}
#edit_user_info button{
	display: block;
	margin: auto;
	margin-top: 8px;
	margin-bottom: 8px;
}
#edit_user_info textarea{
	resize: none;
}
#user_info_pic form{
	margin: 0px;
}
#user_info_pic button{
	width: 164px;
}
#user_info_pic form label.submit{
	width: 66px;
	display: inline-block;
}
#user_info_pic_td{
	width: 180px;
	vertical-align: top;
}
#user_info_pic img{
	width: 180px;
}
#user_info_pic form input[type="file"]{
	display: none;
}
#user_info_pic form{
	width: 180px;
}
#menu_list{
	margin: 0px;
	padding: 0px;
    list-style-type: none;
}
#menu_list li{
	display: inline-block;
}
#menu_list li:after{
	content: " - ";
}
#menu_list li:last-child:after{
	content: "";
}
#user_info{
	text-align: center;
	vertical-align: top;
}
#user_threads_list{
	margin: 0px;
	padding: 0px;
    list-style-type: none;
	display: inline;
}
#user_threads_list li{
	display: inline-block;
}
#user_threads_list li:after{
	content: ", ";
}
#user_threads_list li:last-child:after{
	content: "";
}
div.menu_left{
	position: absolute;
	top: 8px;
	left: 8px;
}
div.menu_right{
	position: absolute;
	top: 8px;
	right: 8px;
}
div.menu{
	width: 100%;
	background: rgba(127,127,255,0.3);
	height: 36px;
	position: fixed;
	top: 0px;
}
#user_list{
	width: 600px;
}
#user_list table, #user_list table table{
	width: 100%;
}
#user_list table img,#front_user_picture{
	width: 100px;
}
#front_user_picture{
	display: block;
	margin: auto;
	margin-bottom: 8px;
}
#user_list table td:nth-child(1){
	width: 120px;
	height: 120px;
}
#user_list h2{
	margin: 0px;
}
#thread_list_div, #user_list{
	margin: auto;
	margin-top: 64px;
	margin-bottom: 32px;
}
#thread_list{
	width: 80%;
	border-spacing: 8px;
	margin: auto;
}
#thread_list td{
	width: 50%;
	border: 1px white solid;
	padding: 8px;
	background-color: rgba(255,255,255,0.2);
}
#thread_list tr.pinned{
	background-color: rgba(0,255,0,0.2);
}
#thread_list td.pin_bg,#thread_list td.vcw_bg{
	background-image: url("assets/pics/pin.png");
	background-repeat: no-repeat;
	background-position: right;
}
#thread_list td.pin_bg{
	background-image: url("assets/pics/pin.png");
}
#thread_list td.vcw_bg{
	background-image: url("assets/pics/vcw.png");
}

#thread_div{
	margin-top: 64px;
	margin-bottom: 32px;
}
#thread{
	width: 80%;
	border-spacing: 0px;
	margin: auto;
}
#thread td{
	border: none;
	padding: 4px;
}
#thread table{
	border-spacing: 0px;
	width: 100%;
	background-color: rgba(255,255,255,0.2);
	border: 1px white solid;
}
#thread table tr:nth-child(2) td:nth-child(1) img, #thread_list td:nth-child(2) img, #user_list img{
	border: 2px white groove;
}
#thread table tr:nth-child(2) td:nth-child(1) img{
	margin-top: 4px;
	width: 120px;
}
/*#thread table tr:nth-child(2) td:nth-child(1) img:hover, #thread_list img:hover, #user_list table table:hover img{
	border-color: grey;
}*/
#thread table td{
	padding: 8px;
}
#thread table td iframe{
	aspect-ratio: 16 / 9;
	width: 500px;
	height: auto;
	display: block;
	margin-top: 8px;
	margin-bottom: 8px;
}
#thread table tr:nth-child(1) td:nth-child(1){
	font-weight: bold;
	font-size: 20px;
	border-bottom: 1px white solid;
}
#thread table tr:nth-child(2) td:nth-child(1){
	width: 140px;
	border-right: 1px white solid;
	text-align: center;
}
img.emoji{
	width: 22px;
	vertical-align: middle;
}
#emoji_box img.emoji{
	width: 32px;
	vertical-align: middle;
	cursor: pointer;
}
#emoji_box img.emoji:hover{
	opacity: 0.6;
}
#emoji_box{
	margin-top: 8px;
	margin-bottom: 8px;
}
#thread_list table{
	border-spacing: 0px;
}
#thread_list table td{
	padding: 0px;
	border: none;
	background: none;
}
#thread_list table td:nth-child(1){
	width: 60px;
}
#thread_list table td:nth-child(2){
	width: 100%;
}
#thread_list table img{
	width: 60px;
	margin-right: 10px;
}
#forum_post label{
	display: inline-block;
	margin-right: 8px;
}
#forum_post textarea{
	resize: none;
}
#post_title{
	width: 400px;
	margin-bottom: 8px;
}
.user_info_button{
	display: inline-block;
	width: 90px;
	font-size: 16px;
	padding: 0px;
}
div.product{
	text-align: left;
	width: 800px;
}
div.product img{
	padding-left: 16px;
	padding-right: 16px;
}
#restricted_bg{
	width: 200px;
	height: 200px;
	background-image: url("assets/pics/spyface.png");
	opacity: 0.3;
	z-index: -1;
}
span.big{
	font-size: larger;
	font-weight: bold;
}
#emoji_box div{
	display: inline-block;
}
#emoji_popup{
	width: 96px;
	position: absolute;
	display: none;
}
#emoji_popup_text{
	background-color: lightgrey;
	color: black;
	padding: 2px;
	display: inline-block;
}
img.post_image{
	display: block;
	max-width: 80%;
}
#trollface{
	background-image: url("assets/pics/trollface.png");
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: -1;
	opacity: 0;
}
#trollface.fading{
	animation-name: trollface_fade;
	animation-iteration-count: 1;
	animation-duration: 15s;
	animation-fill-mode: forwards;
	animation-delay: 2s;
}
@keyframes trollface_fade{
	from{
		opacity: 0;
	}
	to{
		opacity: 0.4;
	}
}
.naughty{
	color: tomato;
}
#user_list table table:hover a.naughty{
	color: peachpuff;
}

@media (max-width: 767px) {
	#thread table tr:nth-child(2) td:nth-child(1) img{
		width: 60px;
	}
	#user_list table td:nth-child(1){
		width: 60px;
		height: 60px;
	}
	#thread table tr:nth-child(2) td:nth-child(1){
		width: 80px;
	}
	#thread table, #thread_list{
		display: block;
	}
	#thread table tr, #thread table tr:nth-child(2) td:nth-child(1), #thread_list tr, #thread_list tr td{
		display: inline-block;
		width: 100%;
	}
	#thread_list tr td{
		padding: 0px;
	}
	#thread_list tr td:nth-child(1){
		padding-top: 10px;
		padding-bottom: 10px;
		padding-right: 40px;
		width: calc(100% - 40px);
	}
	#thread_list tr td table tr{
		display: table-row;
	}
	#thread_list tr td table tr td{
		display: table-cell;
		padding-top: 8px;
		padding-bottom: 8px;
	}
	#thread_list tr td table tr td:nth-child(1){
		padding-left: 4px;
		width: auto;
	}
	#thread_list tr td table tr td:nth-child(2){
		padding-right: 4px;
		font-size: 0.8em;
	}
	#thread table tr:nth-child(2) td:nth-child(1){
		border-right: none;
		padding: 0px;
		padding-top: 8px;
		padding-bottom: 8px;
		border-bottom: white 1px solid;
	}
	div.menu_left{
		position: static;
		margin-top: 6px;
	}
	div.menu_right{
		position: static;
		font-size: 0.8em;
	}
	div.menu{
		height: 48px;
	}
	#post_title, #forum_post textarea{
		width: 80%;
	}
	div.centered{
		position: absolute;
		left: 25%;
		top: 50%;
		transform: translateX(-16%) translateY(-50%);
	}
	#user_list{
		width: 90%;
	}
	#user_list table img{
		width: 60px;
	}
	#user_list table h2{
		font-size: 1em;
		padding-left: 8px;
	}
	div.user_info_container{
		width: 90%;
	}
	div.user_info_container table{
		display: block;
	}
	div.user_info_container td{
		display: inline-block;
	}
	#user_info_pic_td{
		text-align: center;
		width: 100%;
	}
	#user_info_pic{
		padding-right: 0px;
		margin: auto;
	}
	#user_info{
		width: 100%;
	}
	#thread table tr:nth-child(1) td:nth-child(1){
		width: 1000px;
	}
	#vid{
		aspect-ratio: 4 / 3;
		width: 100%;
		height: auto;
	}
}